package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.dto.LiveDto;
import com.hc.business.model.Live;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 直播间表(Live)表服务接口
 *
 * @author makejava
 * @since 2024-01-20 10:56:39
 */

@Component
public interface LiveService {

    /**
     * 通过ID查询单条数据
     *
     * @param liveId 主键
     * @return 实例对象
     */
    Live queryById(Integer liveId);

    /**
     * 新增数据
     *
     * @param live 实例对象
     * @return 实例对象
     */
    Live insert(Live live);

    /**
     * 修改数据
     *
     * @param live 实例对象
     * @return 实例对象
     */
    Live update(Live live);

    /**
     * 通过主键删除数据
     *
     * @param liveId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer liveId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    List<LiveDto> queryListByUserIDAndLiveID(Integer userId, Integer liveId);
}
